## procargs

procargs

## Synopsis

    #include <glibtop/procargs.h>

    #define             GLIBTOP_PROC_ARGS_SIZE
    #define             GLIBTOP_MAX_PROC_ARGS
    struct              glibtop_proc_args;
    char *              glibtop_get_proc_args_l             (glibtop *server,
                                                             glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);
    char *              glibtop_get_proc_args               (glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);
    #define             glibtop_get_proc_args_r
    char *              glibtop_get_proc_args_p             (glibtop *server,
                                                             glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);
    char *              glibtop_get_proc_args_s             (glibtop *server,
                                                             glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);
    char **             glibtop_get_proc_argv_l             (glibtop *server,
                                                             glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);
    char **             glibtop_get_proc_argv               (glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);

## Description

## Details

### GLIBTOP_PROC_ARGS_SIZE

    #define GLIBTOP_PROC_ARGS_SIZE		0

### GLIBTOP_MAX_PROC_ARGS

    #define GLIBTOP_MAX_PROC_ARGS		1

### struct glibtop_proc_args

    struct glibtop_proc_args {
    	guint64 flags;
    	guint64 size;			/* GLIBTOP_PROC_ARGS_SIZE */
    };

### glibtop_get_proc_args_l ()

    char *              glibtop_get_proc_args_l             (glibtop *server,
                                                             glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);

`server` : |
`buf` : |
`pid` : |
`max_len` : |
Returns : |

### glibtop_get_proc_args ()

    char *              glibtop_get_proc_args               (glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);

`buf` : |
`pid` : |
`max_len` : |
Returns : |

### glibtop_get_proc_args_r

    # define glibtop_get_proc_args_r		glibtop_get_proc_args_p

### glibtop_get_proc_args_p ()

    char *              glibtop_get_proc_args_p             (glibtop *server,
                                                             glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);

`server` : |
`buf` : |
`pid` : |
`max_len` : |
Returns : |

### glibtop_get_proc_args_s ()

    char *              glibtop_get_proc_args_s             (glibtop *server,
                                                             glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);

`server` : |
`buf` : |
`pid` : |
`max_len` : |
Returns : |

### glibtop_get_proc_argv_l ()

    char **             glibtop_get_proc_argv_l             (glibtop *server,
                                                             glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);

`server` : |
`buf` : |
`pid` : |
`max_len` : |
Returns : |

### glibtop_get_proc_argv ()

    char **             glibtop_get_proc_argv               (glibtop_proc_args *buf,
                                                             pid_t pid,
                                                             unsigned  max_len);

`buf` : |
`pid` : |
`max_len` : |
Returns : |